JanosVM v0.6.0 Java API

## edu.utah.janosvm.kit.management.team
Class TeamListMessenger

    java.lang.Object
      |
      +--edu.utah.janosvm.kit.management.team.TeamListMessenger

public class TeamListMessenger
extends java.lang.Object
implements TeamListHandler

A TeamList implementation that sends TeamListMessages to a MsgPort. Since the `event' call back happens on kernel time we don't want to waste time so we just visit the other team, construct a message and send it off to someone who can handle it better.

Constructor Summary
`TeamListMessenger(MsgPort mp)` Construct a messenger that will send TeamListMessage's to the given MsgPort.

Method Summary
`void` `event(TeamReservation tr, TeamEvent ev)` Callback for handling events related to teams.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TeamListMessenger

    public TeamListMessenger(MsgPort mp)

  Construct a messenger that will send TeamListMessage's to the given MsgPort.
  Parameters:
    `mp` - A MsgPort that is willing to receive and process TeamListMessage's

Method Detail

### event

    public void event(TeamReservation tr,
                      TeamEvent ev)

  Description copied from interface: TeamListHandler
  Callback for handling events related to teams. NOTE: This is called in the context of the kernel so you must use the provided TeamReservation if you want to do anything in the Importables team.
  Specified by:
    event in interface TeamListHandler
  Tags copied from interface: TeamListHandler
  Parameters:
    `tr` - A TeamReservation thats reserved the team that `this' is in.
    `ev` - The TeamEvent object that describes the event that occurred.

JanosVM v0.6.0 Java API

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002